<?php

/**
 * Blogic - Joomla Template
 *
 * @package bt_blogic
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_blogic
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp;</td>' . "\n";
$mod_tdgap = '<td width="1" class="mod_tdgap"><img src="' . $tpl->path . '/images/blank.gif" alt="" width="42" height="1" /></td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= <<<EOF
<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

<link rel="prefetch" href="{$tpl->path}/images/layout/menu_sel_l.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_sel_c.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_sel_r.gif" />

EOF;

echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template.css" rel="stylesheet" type="text/css" />
$cmenu_css
<style type="text/css">
#wrapper { width: {$tpl->width}px; }
</style>

<!--[if lt IE 7]>
<link href="{$tpl->path}/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.pngfix { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>

EOF;

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp) {
	echo '<div style="display:none">' . "\n";
	$tpl->echo_mainbody_pragma();
	echo '</div>' . "\n";
}

echo '<div id="spacer1"></div>' . "\n";

echo '<div id="wrapper"><div id="pg_tc"><div id="pg_ml"><div id="pg_mr"><div id="pg_bc"><div id="pg_tl"><div id="pg_tr"><div id="pg_bl"><div id="pg_br"><div id="pg_mc">' . "\n";
echo '	<div class="pg_vgap"></div>' . "\n";

echo '		<div id="top_l1"><div id="top_l2"><div id="top_l3"><div id="top_l4"><div id="top_l5">' . "\n";
$tpl->echo_positions(array('icon', 'top'), '', true, false, '', '<td class="top_tdgap"></td>' . "\n");
echo '		</div></div></div></div></div>' . "\n";

echo '		<div class="pg_splitter"></div>' . "\n";

if ($tpl->show_hd) {
	echo '		<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";
	echo '			<td width="1"><img src="' . $tpl->path . '/images/layout/cnt_edge.gif" width="1" height="49" alt="" /></td>' . "\n";
	echo '			<td class="hd_c" width="20"></td>' . "\n";
}

if ($tpl->show_menu) {
	echo '			<td class="hd_c"></td>' . "\n";

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '	<td class="cmenu_hd_gap">&nbsp;</td>' . "\n";

		printf('
			<td class="cmenu_hd_%1$s_l" width="10" height="49"></td>
			<td class="cmenu_hd_%1$s_c" height="49" id="%2$s">%3$s%4$s</td>
			<td class="cmenu_hd_%1$s_r" width="10" height="49"></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" />'
		);
	}

//	echo '			</td>' . "\n";
}
else if ($tpl->modcount('header')) {
	echo '			<td class="hd_c">' . "\n";
	$tpl->echo_position('header', true, false);
	echo '			</td>' . "\n";
}
else if ($tpl->show_hd) {
	echo '			<td class="hd_c">&nbsp;</td>' . "\n";
}

if ($tpl->modcount('search')) {
	echo '			<td class="hd_c" width="1%" nowrap="nowrap"><div id="hd_search_c"><div id="hd_search_l"><div id="hd_search_r">' . "\n";
	$tpl->echo_position('search', true, false);
	echo '			</div></div></div></td>' . "\n";
}

if ($tpl->show_hd) {
	echo '			<td width="1"><img src="' . $tpl->path . '/images/layout/cnt_edge.gif" width="1" height="49" alt="" /></td>' . "\n";
	echo '		</tr></table>' . "\n";
}

echo '		<div id="main_l"><div id="main_r"><div id="main_c">' . "\n";

if ($tpl->modcount('advert1') || $tpl->modcount('advert2') || $tpl->modcount('advert3') || $tpl->modcount('advert4')) {
	echo '			<div class="main_vgap"></div>' . "\n";
	
	echo '			<div class="divout_tc"><div class="divout_ml"><div class="divout_mr"><div class="divout_bc"><div class="divout_tl"><div class="divout_tr"><div class="divout_bl"><div class="divout_br"><div class="divout_mod_mc">' . "\n";
	echo '				<div class="mod_vgap"></div>' . "\n";
	
	$tpl->echo_positions(array('advert1', 'advert2', 'advert3', 'advert4'), '', true, false, '', $mod_tdgap);
	
	echo '				<div class="mod_vgap"></div>' . "\n";
	echo '			</div></div></div></div></div></div></div></div></div>' . "\n";
}


// pathway

echo '			<div class="main_vgap"></div>' . "\n";

echo '			<div class="divout_tc"><div class="divout_ml"><div class="divout_mr"><div class="divout_bc"><div class="divout_tl"><div class="divout_tr"><div class="divout_bl"><div class="divout_br"><div class="divout_pathway_mc">' . "\n";
echo '				<div class="pathway_gapup"></div>' . "\n";
echo '				<div id="pathway">' . "\n";
echo '					<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" /></a>' . "\n";
echo '					<span id="pathway_notice">' . $tpl->str('You are here') . ': </span>' . "\n";
$tpl->echo_pathway();
echo '				</div>' . "\n";
echo '				<div class="pathway_gapdown"></div>' . "\n";
echo '			</div></div></div></div></div></div></div></div></div>' . "\n";


// main body

echo '			<div class="main_vgap"></div>' . "\n";

echo '			<div class="divout_tc"><div class="divout_ml"><div class="divout_mr"><div class="divout_bc"><div class="divout_tl"><div class="divout_tr"><div class="divout_bl"><div class="divout_br"><div class="divout_mc">' . "\n";
echo '				<div class="main_vgap"></div>' . "\n";

if ($tpl->side_left || $tpl->side_right)
	echo '					<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

if ($tpl->side_left) {
	echo '						<td valign="top"' . $tpl->td_width(array('left_up','left', 'left_middle', 'left_down'), true) . '>' . "\n";

	if ($tpl->modcount('left_up')) {
		echo '							<div class="side_vgap"></div>' . "\n";
		echo '							<div id="left_up_container"></div>' . "\n";
		echo '							<div class="side_vgap"></div>' . "\n";
	}

	if ($tpl->side_leftmain) {
		echo '							<table cellspacing="0" cellpadding="0" width="100%">' . "\n";

		echo '								<tr>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_tl.gif" alt="" /></td>' . "\n";
		echo '									<td class="divin_tc">&nbsp;</td>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_tr.gif" alt="" /></td>' . "\n";
		echo '								</tr>' . "\n";

		if ($tpl->modcount('left')) {
			echo '								<tr>' . "\n";
			echo '									<td class="divin_ml"></td>' . "\n";
			echo '									<td>' . "\n";
			$tpl->echo_position('left', true);
			echo '									</td>' . "\n";
			echo '									<td class="divin_mr"></td>' . "\n";
			echo '								</tr>' . "\n";
		}

		if ($tpl->modcount('left_middle')) {
			echo '								<tr>' . "\n";
			echo '									<td class="divin_mc" colspan="3">' . "\n";
			$tpl->echo_position('left_middle');
			echo '									</td>' . "\n";
			echo '								</tr>' . "\n";
		}

		if ($tpl->modcount('left_down')) {
			echo '								<tr>' . "\n";
			echo '									<td class="divin_ml"></td>' . "\n";
			echo '									<td>' . "\n";
			$tpl->echo_position('left_down', true);
			echo '									</td>' . "\n";
			echo '									<td class="divin_mr"></td>' . "\n";
			echo '								</tr>' . "\n";
		}

		echo '								<tr>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_bl.gif" alt="" /></td>' . "\n";
		echo '									<td class="divin_bc">&nbsp;</td>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_br.gif" alt="" /></td>' . "\n";
		echo '								</tr>' . "\n";

		echo '							</table>' . "\n";
	}

	echo '						</td>' . "\n";
	echo '				' . $main_tdgap;
}

if ($tpl->side_left || $tpl->side_right)
	echo '						<td valign="top">' . "\n";

$tpl->echo_positions(array('newsflash'), 'spacer2');

$tpl->echo_mainbody_wrapper();

$tpl->echo_positions(array('banner'), 'spacer3', false);

if ($tpl->side_left || $tpl->side_right)
	echo '						</td>' . "\n";

if ($tpl->side_right) {
	echo '				' . $main_tdgap;
	echo '						<td valign="top"' . $tpl->td_width(array('right_up','right', 'right_middle', 'right_down'), true) . '>' . "\n";

	if ($tpl->modcount('right_up')) {
		echo '							<div class="side_vgap"></div>' . "\n";
		echo '							<div id="right_up_container"></div>' . "\n";
		echo '							<div class="side_vgap"></div>' . "\n";
	}

	if ($tpl->side_rightmain) {
		echo '							<table cellspacing="0" cellpadding="0" width="100%">' . "\n";

		echo '								<tr>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_tl.gif" alt="" /></td>' . "\n";
		echo '									<td class="divin_tc">&nbsp;</td>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_tr.gif" alt="" /></td>' . "\n";
		echo '								</tr>' . "\n";

		if ($tpl->modcount('right')) {
			echo '								<tr>' . "\n";
			echo '									<td class="divin_ml"></td>' . "\n";
			echo '									<td>' . "\n";
			$tpl->echo_position('right', true);
			echo '									</td>' . "\n";
			echo '									<td class="divin_mr"></td>' . "\n";
			echo '								</tr>' . "\n";
		}

		if ($tpl->modcount('right_middle')) {
			echo '								<tr>' . "\n";
			echo '									<td class="divin_mc" colspan="3">' . "\n";
			$tpl->echo_position('right_middle');
			echo '									</td>' . "\n";
			echo '								</tr>' . "\n";
		}
	
		if ($tpl->modcount('right_down')) {
			echo '								<tr>' . "\n";
			echo '									<td class="divin_ml"></td>' . "\n";
			echo '									<td>' . "\n";
			$tpl->echo_position('right_down', true);
			echo '									</td>' . "\n";
			echo '									<td class="divin_mr"></td>' . "\n";
			echo '								</tr>' . "\n";
		}

		echo '								<tr>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_bl.gif" alt="" /></td>' . "\n";
		echo '									<td class="divin_bc">&nbsp;</td>' . "\n";
		echo '									<td width="10"><img src="' . $tpl->path . '/images/layout/divin_br.gif" alt="" /></td>' . "\n";
		echo '								</tr>' . "\n";

		echo '							</table>' . "\n";
	}

	echo '						</td>' . "\n";
}

if ($tpl->side_left || $tpl->side_right)
	echo '					</tr></table>' . "\n";

echo '				<div class="main_vgap"></div>' . "\n";
echo '			</div></div></div></div></div></div></div></div></div>' . "\n";

if ($tpl->modcount('footer1') || $tpl->modcount('footer2') || $tpl->modcount('footer3') || $tpl->modcount('footer4')) {
	echo '			<div class="main_vgap"></div>' . "\n";
	
	echo '			<div class="divout_tc"><div class="divout_ml"><div class="divout_mr"><div class="divout_bc"><div class="divout_tl"><div class="divout_tr"><div class="divout_bl"><div class="divout_br"><div class="divout_mod_mc">' . "\n";
	echo '				<div class="mod_vgap"></div>' . "\n";
	
	$tpl->echo_positions(array('footer1', 'footer2', 'footer3', 'footer4'), '', true, false, '', $mod_tdgap);
	
	echo '				<div class="mod_vgap"></div>' . "\n";
	echo '			</div></div></div></div></div></div></div></div></div>' . "\n";
}

echo '			<div class="main_vgap"></div>' . "\n";
echo '		</div></div></div>' . "\n";

echo '		<div class="pg_splitter"></div>' . "\n";
echo '		<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";
echo '			<td width="11"><img src="' . $tpl->path . '/images/layout/pgdn_l.gif" alt="" /></td>' . "\n";

if ($tpl->lshow)
	echo '			<td class="pgdn" width="60" align="center" valign="middle"><a id="lshow" href="http://www.bonusthemes.com" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" border="0" alt="" /></a></td>' . "\n";

echo '			<td class="pgdn" align="center" valign="middle">' . "\n";

if ($tpl->modcount('legals'))
	$tpl->echo_position('legals', true);
else
	echo '&nbsp;';

echo '			</td>' . "\n";

echo '			<td width="80"><img src="' . $tpl->path . '/images/layout/pgdn_splitter.gif" alt="" /></td>' . "\n";
echo '			<td class="pgdn_top" width="60" valign="bottom"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>' . "\n";
echo '		</tr></table>' . "\n";

echo '	<div class="pg_vgap"></div>' . "\n";
echo '</div></div></div></div></div></div></div></div></div></div>' . "\n";

echo '<div id="spacer4"></div>' . "\n";

foreach (array('left_up', 'right_up', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	$tpl->echo_hidden_position($position);

$tpl->echo_position('debug');

echo <<<EOF
</body>
</html>

EOF;

?>