<?php

/**
 * Blogic - Joomla Template
 *
 * @package bt_blogic
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_blogic
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// BEGIN: j17
// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');
// END: j17

$day_first = true;

list($day, $month) = explode(' ', date('j M', strtotime($this->item->created)));

$colcount = 0;

$canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

?>
<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?>

<?php if ($canEdit || $this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon') || $this->item->params->get('show_create_date') || ($this->item->params->get('show_author') && $this->item->author != "")) : ?>
<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">

<?php if ($canEdit || $this->item->params->get('show_title') || $this->item->params->get('show_create_date')) : ?>
<tr>

	<?php if ($this->item->params->get('show_create_date')) : ?>
	<td align="center" valign="top" class="blogdate" width="42" height="52">

		<?php if ($day_first) : ?>
		<div class="day"><?php echo $day; ?></div>
		<div class="month"><?php echo JText::_($month); ?></div>
		<?php else : ?>
		<div class="month"><?php echo JText::_($month); ?></div>
		<div class="day"><?php echo $day; ?></div>
		<?php endif; ?>

		<img src="templates/bt_blogic/images/blank.gif" width="42" height="1" alt="" border="0" />
	</td>
	<td nowrap="nowrap"> &nbsp; &nbsp; </td>
	<?php 	$colcount += 2; ?>
	<?php endif; ?>

	<?php if ($this->item->params->get('show_title')) : ?>
	<td class="contentheading<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>" width="100%">
		<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
			<?php echo $this->item->title; ?></a>
		<?php else : ?>
			<?php echo $this->escape($this->item->title); ?>
		<?php endif; ?>
	</td>
	<?php 	$colcount++; ?>
	<?php endif; ?>

	<?php if ($canEdit) : ?>
	<td>
		<?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
	</td>
	<?php 	$colcount++; ?>
	<?php endif; ?>
</tr>
<?php endif; ?>


<?php if ($this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon') || ($this->item->params->get('show_author') && $this->item->author != "")) : ?>
<tr><td<?php if ($colcount > 1) echo ' colspan="' . $colcount . '"'; ?>><div class="contentinfo">
<?php

$elements = array();

// BEGIN: j17
$author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author;
if (!empty($this->item->contactid) && $params->get('link_author') == true):
	$needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
	$item = JSite::getMenu()->getItems('link', $needle, true);
	$cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
	$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author));
else:
	$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', $author);
endif;

//$elements[] = JText::sprintf('Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)));
// END: j17
	
// BEGIN: j17
if ($this->print) {
	$elements[] = JHTML::_('icon.print_screen', $this->item, $params, $this->access);
}
else {
	if ($params->get( 'show_print_icon'))
		$elements[] = JHTML::_('icon.print_popup', $this->item, $params, $this->access);

	if ($params->get('show_email_icon'))
		$elements[] = JHTML::_('icon.email', $this->item, $params, $this->access);

	if ($canEdit)
		$elements[] = JHTML::_('icon.edit', $this->item, $params, $this->access);
}
// END: j17

echo implode(' &nbsp; ', $elements);

?>
</div></td></tr>
<?php endif; ?>

</table>
<?php endif; ?>
<?php  if (!$this->item->params->get('show_intro')) :
	echo $this->item->event->afterDisplayTitle;
endif; ?>
<?php echo $this->item->event->beforeDisplayContent; ?>
<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
<?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
<tr>
	<td>
		<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
		<span>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->section; ?>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
				<?php if ($this->item->params->get('show_category')) : ?>
				<?php echo ' - '; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
		<?php if ($this->item->params->get('show_category') && $this->item->catid) : ?>
		<span>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->category; ?>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
<tr>
	<td valign="top" colspan="2">
		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
			<?php echo $this->item->urls; ?></a>
	</td>
</tr>
<?php endif; ?>

<tr>
<td valign="top" colspan="2">
<?php if (isset ($this->item->toc)) : ?>
	<?php echo $this->item->toc; ?>
<?php endif; ?>
<?php echo $this->item->introtext; //j17 ?>
</td>
</tr>

<?php if ($params->get('show_modify_date')) : ?>
<tr>
	<td colspan="2"  class="modifydate">
		<?php
		// BEGIN: j17		
			echo '<div style="position: relative; top: -3px; left: 3px;">'.JText::sprintf('COM_CONTENT_LAST_UPDATED', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))).'</div>';
		// END: j17		
		?>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->item->params->get('show_readmore') && $this->item->readmore) : ?>
<tr>
	<td  colspan="2">
		<?php /*?><a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->item->params->get('pageclass_sfx'); ?>">
			<?php if ($this->item->readmore_register) :
				echo JText::_('Register to read more...');
			elseif ($readmore = $this->item->params->get('readmore')) :
				echo $readmore;
			else :
				echo JText::sprintf('Read more...');
			endif; ?></a><?php */?>
            
            <?php
			// BEGIN: j17
			if ($params->get('access-view')) :
		$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
	else :
		$menu = JFactory::getApplication()->getMenu();
		$active = $menu->getActive();
		$itemId = $active->id;
		$link1 = JRoute::_('index.php?option=com_users&view=login&&Itemid=' . $itemId);
		$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
		$link = new JURI($link1);
		$link->setVar('return', base64_encode($returnURL));
	endif;


            echo '<a href="'.$link.'" class="readon">';
	
	if (!$params->get('access-view')) :
		echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
	elseif ($readmore = $this->item->alternative_readmore) :
		echo $readmore;
	if ($params->get('show_readmore_title', 0) != 0) :
		echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
	endif;
		elseif ($params->get('show_readmore_title', 0) == 0) :
	echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
		else :
	echo JText::_('COM_CONTENT_READ_MORE');
		echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
	endif;
    echo '</a>';
	// END: j17
			?>
	</td>
</tr>
<?php endif; ?>

</table>
<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>
<span class="article_separator">&nbsp;</span>
<?php echo $this->item->event->afterDisplayContent; ?>
